// Copyright 2021 ZUP IT SERVICOS EM TECNOLOGIA E INOVACAO SA
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package entities

import (
	"testing"

	"github.com/ZupIT/horusec-devkit/pkg/enums/severities"
	"github.com/stretchr/testify/assert"
)

func TestGetSeverity(t *testing.T) {
	t.Run("should success severity", func(t *testing.T) {
		vuln := &Vulnerability{}

		vuln.Severity = "highest"
		assert.Equal(t, severities.Critical, vuln.GetSeverity())

		vuln.Severity = "critical"
		assert.Equal(t, severities.Critical, vuln.GetSeverity())

		vuln.Severity = "high"
		assert.Equal(t, severities.High, vuln.GetSeverity())

		vuln.Severity = "moderate"
		assert.Equal(t, severities.Medium, vuln.GetSeverity())

		vuln.Severity = "medium"
		assert.Equal(t, severities.Medium, vuln.GetSeverity())

		vuln.Severity = "low"
		assert.Equal(t, severities.Low, vuln.GetSeverity())

		vuln.Severity = "test"
		assert.Equal(t, severities.Unknown, vuln.GetSeverity())
	})
}
